%define name monodevelop
%define version  3.0.6
%define release  %mkrel 2
%define gtksharp 1.9.5
%define monodoc  1.0
%define pkgconfigdir %_datadir/pkgconfig

Summary:	Full-featured IDE for mono and Gtk#
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source:		http://download.mono-project.com/sources/monodevelop/%{name}-%{version}.tar.bz2
Patch:		monodevelop-1.9.2-libxul.patch
Patch1:		link_system_nunit.patch
Patch2:		%{name}-3.0.3.2-md-gettext.patch
URL:		http://www.monodevelop.com/
License:	LGPLv2
Group:		Development/Other
#Requires: gtksourceview-sharp >= %gtksourceview
Requires:	gnome-sharp2 >= %gtksharp
Requires:	glade-sharp2 >= %gtksharp
Requires:	monodoc >= %monodoc
Requires:	mono-tools
Requires:	mono-basic
Requires:	libmono-devel
Requires:	shared-mime-info
Requires:	xterm
Requires:	subversion
Requires:	git
Requires:	xsp
BuildRequires:	pkgconfig(gconf-sharp-2.0) >= 2.12.8
BuildRequires:	pkgconfig(glade-sharp-2.0) >= 2.12.8
BuildRequires:	pkgconfig(glib-sharp-2.0) >= 2.12.8
BuildRequires:	pkgconfig(gnome-sharp-2.0) >= 2.12.8
BuildRequires:	pkgconfig(gnome-vfs-sharp-2.0) >= 2.12.8
BuildRequires:	pkgconfig(gtk-sharp-2.0) >= 2.12.8
BuildRequires:	pkgconfig(wcf)
BuildRequires:	pkgconfig(mono-addins) >= 0.6
BuildRequires:	pkgconfig(mono-addins-gui) >= 0.6
BuildRequires:	pkgconfig(mono-addins-setup) >= 0.6
BuildRequires:	pkgconfig(mono-nunit)
BuildRequires:	pkgconfig(monodoc) >= 1.0
BuildRequires:	pkgconfig(mono) >= 2.8
BuildRequires:	rsync
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
# Obsolete deprecated plugins which are not compatible with MD 2.6
Obsoletes:	monodevelop-boo
Obsoletes:	monodevelop-debugger-mdb

Conflicts:	%{name} <= 3.0.3.2-2
Obsoletes:	%{name} <= 3.0.3.2-2

BuildArch:     noarch
%define _requires_exceptions ^libg.*\\|lib64g.*\\|libp.*\\|lib64p.*\\|liba.*\\|lib64a.*

%description 
This is MonoDevelop which is intended to be a full-featured
integrated development environment (IDE) for mono and Gtk#.
It was originally a port of SharpDevelop 0.98.

%prep
%setup -q

%build
./configure --prefix=%_prefix --libdir=%_prefix/lib --enable-subversion --enable-git --enable-monoextensions --disable-update-mimedb --disable-update-desktopdb 
#--enable-gtksourceview2
make

%install
mkdir -p %{buildroot}/`monodoc --get-sourcesdir`
%makeinstall_std pkgconfigdir=%pkgconfigdir packagedir=%buildroot%_prefix/lib/monodevelop/AddIns/AspNetEdit MOZILLA_HOME=%buildroot%_prefix/lib/firefox-%mozver/

desktop-file-install --dir %buildroot%_datadir/applications \
  %buildroot%_datadir/applications/*.desktop

%find_lang %name

%files -f %name.lang
%doc AUTHORS ChangeLog README 
%{_bindir}/mdtool
%{_bindir}/monodevelop
%{_prefix}/lib/monodevelop
%_mandir/man1/mdtool.1*
%_mandir/man1/monodevelop.1*
%{_datadir}/applications/monodevelop.desktop
%{_datadir}/mime/packages/monodevelop.xml
%_datadir/icons/hicolor/*/apps/monodevelop.*
%pkgconfigdir/monodevelop.pc
%pkgconfigdir/monodevelop-core-addins.pc


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.0.6-2.mga3
+ Revision: 360259
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 anaselli <anaselli> 3.0.6-1.mga3
+ Revision: 343095
- New version 3.0.6

* Sun Nov 25 2012 fwang <fwang> 3.0.5-1.mga3
+ Revision: 321802
- cleanup spec
- br rsync
- new version 3.0.5

* Tue Jul 31 2012 matteo <matteo> 3.0.3.5-1.mga3
+ Revision: 276778
- new version

* Sat Jul 21 2012 matteo <matteo> 3.0.3.4-1.mga3
+ Revision: 273077
- new version

* Thu Jul 19 2012 matteo <matteo> 3.0.3.2-3.mga3
+ Revision: 272599
- fixed monodevelop-3.0.3.2-md-gettext.patch
- spec file cleaned

* Thu Jul 19 2012 matteo <matteo> 3.0.3.2-2.mga3
+ Revision: 272586
- added patch to fix md.gettext path (used by addins -debugger-gdb and -database)
- spec file reviewed

* Thu Jul 19 2012 matteo <matteo> 3.0.3.2-1.mga3
+ Revision: 272563
- added missing br mono-nunit
- enabled git support
- md compilation exit with errors using _smp_mflags (%%make) so switching to make
- new version
- new version

* Tue Apr 10 2012 anaselli <anaselli> 2.8.8.4-1.mga2
+ Revision: 230142
- new version 2.8.8.4

* Mon Feb 20 2012 anaselli <anaselli> 2.8.6.5-1.mga2
+ Revision: 211249
- New version 2.8.6.5

* Wed Feb 08 2012 matteo <matteo> 2.8.6.4-1.mga2
+ Revision: 206422
- new stable version

* Mon Feb 06 2012 matteo <matteo> 2.8.6.3-1.mga2
+ Revision: 205250
- new stable version

* Sun Jan 08 2012 anaselli <anaselli> 2.8.5.1-1.mga2
+ Revision: 193342
- new version 2.8.5.1

* Fri Dec 23 2011 matteo <matteo> 2.8.5-1.mga2
+ Revision: 186731
- version upgrade

* Thu Dec 08 2011 anaselli <anaselli> 2.8.4.2-1.mga2
+ Revision: 178993
- New version 2.8.4.2

* Thu Nov 10 2011 anaselli <anaselli> 2.8.2-3.mga2
+ Revision: 166213
- Added missing mono-tools requirement

* Thu Nov 03 2011 anaselli <anaselli> 2.8.2-2.mga2
+ Revision: 162523
- Release bump, imported to mageia 1

* Thu Nov 03 2011 anaselli <anaselli> 2.8.2-1.mga2
+ Revision: 162084
- new version 2.8.2

* Thu Nov 03 2011 anaselli <anaselli> 2.8.1-2.mga2
+ Revision: 161910
- Obsolete deprecated plugins which are not compatible with MD 2.6

* Thu Oct 13 2011 fwang <fwang> 2.8.1-1.mga2
+ Revision: 154194
- new version 2.8.1

* Sat Sep 17 2011 fwang <fwang> 2.6.0.1-1.mga2
+ Revision: 144570
- fix desktop file
- new version 2.6.0.1

* Thu Jun 16 2011 stblack <stblack> 2.4.2-1.mga2
+ Revision: 108226
- imported package monodevelop

